Alerts
Sync Alerts From Kubernetes Sources
Trigger immediate synchronization of alerts from Kubernetes sources, including ConfigMaps and MetoroAlert CRDs. By default, alerts are synced once every hour. This endpoint allows triggering the sync process manually without waiting for the scheduled sync.
GET
/
alerts
/
sync
Sync Alerts From Kubernetes Sources
curl --request GET \
--url https://us-east.metoro.io/api/v1/alerts/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://us-east.metoro.io/api/v1/alerts/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us-east.metoro.io/api/v1/alerts/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Alert synchronization initiated successfully"
}{
"error": "Invalid alert configuration: missing required field"
}{
"error": "Invalid alert configuration: missing required field"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I
Sync Alerts From Kubernetes Sources
